Page MenuHomePhabricator

[analyzer] Fix intermediate diagnostics on paths that go through operator new().
ClosedPublic

Authored by NoQ on Dec 19 2017, 11:51 AM.

Details

Summary

When operator new() is inlined, diagnostic pieces may appear within it. They'd be surrounded by Calling 'operator new' and Returning from 'operator new' pieces. These pieces were already in place, but the analyzer didn't know where to put them when the operator was called through operator syntax. This patch fixes it.

Diff Detail

Repository
rC Clang

Event Timeline

NoQ created this revision.Dec 19 2017, 11:51 AM
a.sidorin accepted this revision.Dec 20 2017, 3:31 AM

Looks good!

This revision is now accepted and ready to land.Dec 20 2017, 3:31 AM

LGTM as well.

xazax.hun accepted this revision.Jan 9 2018, 5:50 AM
This revision was automatically updated to reflect the committed changes.